cURL
curl --request GET \ --url https://api.shuriken.trade/api/v2/perp/markets/{coin} \ --header 'Authorization: Bearer <token>'
{ "data": { "ctx": { "dayNtlVlm": "<string>", "funding": "<string>", "markPx": "<string>", "midPx": "<string>", "openInterest": "<string>", "oraclePx": "<string>", "premium": "<string>", "prevDayPx": "<string>" }, "meta": { "assetIndex": 1, "maxLeverage": 1, "name": "<string>", "onlyIsolated": true, "szDecimals": 123 }, "asks": [ { "numOrders": 1, "price": "<string>", "size": "<string>" } ], "bids": [ { "numOrders": 1, "price": "<string>", "size": "<string>" } ] }, "requestId": "<string>", "pagination": { "hasMore": true, "limit": 1, "page": 1, "total": 1 } }
Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.
Authorization: Bearer <jwt>
Authorization: Bearer sk_{keyId}_{secret}
Coin symbol (e.g. BTC, ETH)
Market with orderbook
V2 success response envelope
Show child attributes
Page-based pagination info (per RFC)